This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

RE: Antwort: Re: Antwort: Re: [PATCH]: bump minimum MPFR version, (includes some fortranbits)


Nils Pipenbrinck wrote on 14 October 2008 21:29:

> Markus Milleder wrote:
>> I don't think anybody who tries to build GCC from source will have any
>> problem building MPFR first. 
>> 
> Not entirely true:
> 
> Those of us who use cygwin and want to use the latest GCC have to first
> compile a non MPFR GCC (e.g. 4.1.x) before they can compile the latest
> GPFR  and link GCC to it.

  Err... I don't.  I build 4.3.x using 3.4.4.  That's what the whole
bootstrapping thing is about: it insulates you from your starting compiler
version.

> I would welcome a configuration option that disables all the MPFR
> related things. That would make compiling GCC on a naked cygwin
> installation *much* easier.

  Why are you even building it at all, rather than just using the standard
package in the distro?  WJFFM.

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]